<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/spi.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">spi.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series SPI driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/da0/spi_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2spi_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../da/d87/spi_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ec07ad94d5f6276c1c0b41d0550fe52">SPI_MODE_0</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7a58420fdd4b0cd8f9171794577f094c">SPI_CTL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2af9f45539491c9753960535dc20fde"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2af9f45539491c9753960535dc20fde">SPI_MODE_1</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a162d3d7d269bbd9e80b9fdb8a6786769">SPI_CTL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:gaf2af9f45539491c9753960535dc20fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fa3edd8616f8803490c93f09243a612"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fa3edd8616f8803490c93f09243a612">SPI_MODE_2</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a438eca1afb664041636a9f1e5db4c2f7">SPI_CTL_CLKP_Msk</a> | <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a162d3d7d269bbd9e80b9fdb8a6786769">SPI_CTL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga8fa3edd8616f8803490c93f09243a612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a091da9f9011457fe28ab25f64c858d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a091da9f9011457fe28ab25f64c858d">SPI_MODE_3</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a438eca1afb664041636a9f1e5db4c2f7">SPI_CTL_CLKP_Msk</a> | <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7a58420fdd4b0cd8f9171794577f094c">SPI_CTL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga6a091da9f9011457fe28ab25f64c858d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga943af7f8a98cf5a3f2107ed593215a4b">SPI_SLAVE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a84244b4b7a7afff6ceba71288bd07cfb">SPI_CTL_SLAVE_Msk</a>)</td></tr>
<tr class="separator:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae09a2779c2d141aa6a8f8be6d78fe210">SPI_MASTER</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfe542dc0f7fdc8caa52c330b6ea585b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfe542dc0f7fdc8caa52c330b6ea585b">SPI_SS0</a>&#160;&#160;&#160;(0x1)</td></tr>
<tr class="separator:gabfe542dc0f7fdc8caa52c330b6ea585b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa5a08e693d7d19063f00d6bb059edd8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa5a08e693d7d19063f00d6bb059edd8">SPI_SS0_ACTIVE_HIGH</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>)</td></tr>
<tr class="separator:gafa5a08e693d7d19063f00d6bb059edd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab001c39c74dbee41b29a2d2ffcf6a21"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaab001c39c74dbee41b29a2d2ffcf6a21">SPI_SS0_ACTIVE_LOW</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:gaab001c39c74dbee41b29a2d2ffcf6a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38f77a0335ac3c591199383b5a245d12"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga38f77a0335ac3c591199383b5a245d12">SPI_SS1</a>&#160;&#160;&#160;(0x2)</td></tr>
<tr class="separator:ga38f77a0335ac3c591199383b5a245d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d6603e733698c2670a3f63f19174f77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2d6603e733698c2670a3f63f19174f77">SPI_SS1_ACTIVE_HIGH</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>)</td></tr>
<tr class="separator:ga2d6603e733698c2670a3f63f19174f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae109f6e33219bb160dd5ebc4f448146d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae109f6e33219bb160dd5ebc4f448146d">SPI_SS1_ACTIVE_LOW</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:gae109f6e33219bb160dd5ebc4f448146d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>&#160;&#160;&#160;(0x01)</td></tr>
<tr class="separator:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>&#160;&#160;&#160;(0x04)</td></tr>
<tr class="separator:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>&#160;&#160;&#160;(0x08)</td></tr>
<tr class="separator:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga529ec79afe2917ac1973fde46dfedc54"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>&#160;&#160;&#160;(0x10)</td></tr>
<tr class="separator:ga529ec79afe2917ac1973fde46dfedc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffe1b232d0a5b281022046166f5234fd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a>&#160;&#160;&#160;(0x20)</td></tr>
<tr class="separator:gaffe1b232d0a5b281022046166f5234fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af81a5621db7a8b7883fff421a65b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>&#160;&#160;&#160;(0x40)</td></tr>
<tr class="separator:ga40af81a5621db7a8b7883fff421a65b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f250524c0d3e7d98075b7992b939cc9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">SPI_ABORT_3WIRE_TRANSFER</a>(spi)</td></tr>
<tr class="memdesc:ga2f250524c0d3e7d98075b7992b939cc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort the current transfer in slave 3-wire mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">More...</a><br /></td></tr>
<tr class="separator:ga2f250524c0d3e7d98075b7992b939cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd9c622d28d4b93b8414a783439c852e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">SPI_CLR_3WIRE_START_INT_FLAG</a>(spi)</td></tr>
<tr class="memdesc:gabd9c622d28d4b93b8414a783439c852e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the slave 3-wire mode start interrupt flag.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">More...</a><br /></td></tr>
<tr class="separator:gabd9c622d28d4b93b8414a783439c852e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc919e1780ef049f97d3b4def65e05f9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">SPI_CLR_UNIT_TRANS_INT_FLAG</a>(spi)</td></tr>
<tr class="memdesc:gafc919e1780ef049f97d3b4def65e05f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the unit transfer interrupt flag.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">More...</a><br /></td></tr>
<tr class="separator:gafc919e1780ef049f97d3b4def65e05f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">SPI_DISABLE_3WIRE_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable slave 3-wire mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">More...</a><br /></td></tr>
<tr class="separator:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">SPI_ENABLE_3WIRE_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable slave 3-wire mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">More...</a><br /></td></tr>
<tr class="separator:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga984898177d313359fdd1fcdc0f4bf193"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">SPI_GET_RX_FIFO_COUNT</a>(spi)</td></tr>
<tr class="memdesc:ga984898177d313359fdd1fcdc0f4bf193"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of available data in RX FIFO.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">More...</a><br /></td></tr>
<tr class="separator:ga984898177d313359fdd1fcdc0f4bf193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaeb40ca921663b20308a0a841ba7ce73"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">SPI_GET_RX_FIFO_EMPTY_FLAG</a>(spi)</td></tr>
<tr class="memdesc:gaaeb40ca921663b20308a0a841ba7ce73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Rx FIFO empty flag.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">More...</a><br /></td></tr>
<tr class="separator:gaaeb40ca921663b20308a0a841ba7ce73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e0bc926739bf60d35df6a774f06cceb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">SPI_GET_TX_FIFO_EMPTY_FLAG</a>(spi)</td></tr>
<tr class="memdesc:ga3e0bc926739bf60d35df6a774f06cceb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Tx FIFO empty flag.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">More...</a><br /></td></tr>
<tr class="separator:ga3e0bc926739bf60d35df6a774f06cceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5523e2a8d5469337f2ba5605d57d24de"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">SPI_GET_TX_FIFO_FULL_FLAG</a>(spi)</td></tr>
<tr class="memdesc:ga5523e2a8d5469337f2ba5605d57d24de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Tx FIFO full flag.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">More...</a><br /></td></tr>
<tr class="separator:ga5523e2a8d5469337f2ba5605d57d24de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga469836d42d7a1d941fe114c3d8f1564a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga469836d42d7a1d941fe114c3d8f1564a">SPI_READ_RX0</a>(spi)</td></tr>
<tr class="memdesc:ga469836d42d7a1d941fe114c3d8f1564a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the datum read from RX0 FIFO.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga469836d42d7a1d941fe114c3d8f1564a">More...</a><br /></td></tr>
<tr class="separator:ga469836d42d7a1d941fe114c3d8f1564a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef9a80783449307d94d11ad45e5f6525"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaef9a80783449307d94d11ad45e5f6525">SPI_READ_RX1</a>(spi)&#160;&#160;&#160;((spi)-&gt;RX1)</td></tr>
<tr class="memdesc:gaef9a80783449307d94d11ad45e5f6525"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the datum read from RX1 FIFO.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaef9a80783449307d94d11ad45e5f6525">More...</a><br /></td></tr>
<tr class="separator:gaef9a80783449307d94d11ad45e5f6525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga25ff198462e20e76b727c8296e3d1f43"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga25ff198462e20e76b727c8296e3d1f43">SPI_WRITE_TX0</a>(spi,  u32TxData)</td></tr>
<tr class="memdesc:ga25ff198462e20e76b727c8296e3d1f43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write datum to TX0 register.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga25ff198462e20e76b727c8296e3d1f43">More...</a><br /></td></tr>
<tr class="separator:ga25ff198462e20e76b727c8296e3d1f43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7ca7caf3558ea2cac755b9fd398a4b3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ca7caf3558ea2cac755b9fd398a4b3">SPI_WRITE_TX1</a>(spi,  u32TxData)</td></tr>
<tr class="memdesc:gae7ca7caf3558ea2cac755b9fd398a4b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write datum to TX1 register.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ca7caf3558ea2cac755b9fd398a4b3">More...</a><br /></td></tr>
<tr class="separator:gae7ca7caf3558ea2cac755b9fd398a4b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba43788d26efb956679d14396dafdfa6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba43788d26efb956679d14396dafdfa6">SPI_SET_SS0_HIGH</a>(spi)</td></tr>
<tr class="memdesc:gaba43788d26efb956679d14396dafdfa6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPIn_SS0 pin to high state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba43788d26efb956679d14396dafdfa6">More...</a><br /></td></tr>
<tr class="separator:gaba43788d26efb956679d14396dafdfa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga798c7c672fdce53fcb2c91e584599d06"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga798c7c672fdce53fcb2c91e584599d06">SPI_SET_SS0_LOW</a>(spi)</td></tr>
<tr class="memdesc:ga798c7c672fdce53fcb2c91e584599d06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPIn_SS0 pin to low state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga798c7c672fdce53fcb2c91e584599d06">More...</a><br /></td></tr>
<tr class="separator:ga798c7c672fdce53fcb2c91e584599d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78502de4abd548279836b349074b385e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga78502de4abd548279836b349074b385e">SPI_SET_SS1_HIGH</a>(spi)</td></tr>
<tr class="memdesc:ga78502de4abd548279836b349074b385e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPIn_SS1 pin to high state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga78502de4abd548279836b349074b385e">More...</a><br /></td></tr>
<tr class="separator:ga78502de4abd548279836b349074b385e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1eb6dbb4862fba3d9cb283154412f5bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1eb6dbb4862fba3d9cb283154412f5bb">SPI_SET_SS1_LOW</a>(spi)</td></tr>
<tr class="memdesc:ga1eb6dbb4862fba3d9cb283154412f5bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPIn_SS1 pin to low state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1eb6dbb4862fba3d9cb283154412f5bb">More...</a><br /></td></tr>
<tr class="separator:ga1eb6dbb4862fba3d9cb283154412f5bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87333fe492621de006e3173c059daff7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87333fe492621de006e3173c059daff7">SPI_SET_SS_LEVEL</a>(spi,  ss0,  ss1)&#160;&#160;&#160;((spi)-&gt;SSR = ((spi)-&gt;SSR &amp; ~(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a>|<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>|<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)) | (((ss1)^1) &lt;&lt; 1) | ((ss0)^1))</td></tr>
<tr class="memdesc:ga87333fe492621de006e3173c059daff7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPIn_SS0, SPIn_SS1 pin to high or low state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87333fe492621de006e3173c059daff7">More...</a><br /></td></tr>
<tr class="separator:ga87333fe492621de006e3173c059daff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa795ff6d2dac96bcc9add693f3446d36"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">SPI_ENABLE_BYTE_REORDER</a>(spi)</td></tr>
<tr class="memdesc:gaa795ff6d2dac96bcc9add693f3446d36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable byte reorder function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">More...</a><br /></td></tr>
<tr class="separator:gaa795ff6d2dac96bcc9add693f3446d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga704f049cd3351d0d0f7130a75ca394bf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">SPI_DISABLE_BYTE_REORDER</a>(spi)</td></tr>
<tr class="memdesc:ga704f049cd3351d0d0f7130a75ca394bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable byte reorder function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">More...</a><br /></td></tr>
<tr class="separator:ga704f049cd3351d0d0f7130a75ca394bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">SPI_SET_SUSPEND_CYCLE</a>(spi,  u32SuspCycle)</td></tr>
<tr class="memdesc:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the length of suspend interval.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">More...</a><br /></td></tr>
<tr class="separator:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga950a4385d8641da85456398b268368ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">SPI_SET_LSB_FIRST</a>(spi)</td></tr>
<tr class="memdesc:ga950a4385d8641da85456398b268368ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI transfer sequence with LSB first.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">More...</a><br /></td></tr>
<tr class="separator:ga950a4385d8641da85456398b268368ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">SPI_SET_MSB_FIRST</a>(spi)</td></tr>
<tr class="memdesc:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI transfer sequence with MSB first.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">More...</a><br /></td></tr>
<tr class="separator:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab09ba12aaae1e080cc39237e340dff96"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">SPI_IS_BUSY</a>(spi)</td></tr>
<tr class="memdesc:gab09ba12aaae1e080cc39237e340dff96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the SPI busy state.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">More...</a><br /></td></tr>
<tr class="separator:gab09ba12aaae1e080cc39237e340dff96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b3a8af4404dca3916553b91766d2adf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">SPI_TRIGGER</a>(spi)</td></tr>
<tr class="memdesc:ga3b3a8af4404dca3916553b91766d2adf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the GO_BUSY bit to trigger SPI transfer.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">More...</a><br /></td></tr>
<tr class="separator:ga3b3a8af4404dca3916553b91766d2adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7666387f3488c8c4a8c96e0818f7db85"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7666387f3488c8c4a8c96e0818f7db85">SPI_ENABLE_DUAL_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga7666387f3488c8c4a8c96e0818f7db85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable SPI Dual IO function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7666387f3488c8c4a8c96e0818f7db85">More...</a><br /></td></tr>
<tr class="separator:ga7666387f3488c8c4a8c96e0818f7db85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f1d37f34c726d1a88c0eaa2fc891078"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f1d37f34c726d1a88c0eaa2fc891078">SPI_DISABLE_DUAL_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga8f1d37f34c726d1a88c0eaa2fc891078"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable SPI Dual IO function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f1d37f34c726d1a88c0eaa2fc891078">More...</a><br /></td></tr>
<tr class="separator:ga8f1d37f34c726d1a88c0eaa2fc891078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga12ca66437b0ff94b2d52640fb9a02432"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12ca66437b0ff94b2d52640fb9a02432">SPI_ENABLE_DUAL_INPUT_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga12ca66437b0ff94b2d52640fb9a02432"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI Dual IO direction to input.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12ca66437b0ff94b2d52640fb9a02432">More...</a><br /></td></tr>
<tr class="separator:ga12ca66437b0ff94b2d52640fb9a02432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40d97a086b74d7c7bd7ab88b92648352"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40d97a086b74d7c7bd7ab88b92648352">SPI_ENABLE_DUAL_OUTPUT_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga40d97a086b74d7c7bd7ab88b92648352"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set SPI Dual IO direction to output.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40d97a086b74d7c7bd7ab88b92648352">More...</a><br /></td></tr>
<tr class="separator:ga40d97a086b74d7c7bd7ab88b92648352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8b6528bc0f7800dff5dcf54e238e73a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8b6528bc0f7800dff5dcf54e238e73a0">SPI_TRIGGER_RX_PDMA</a>(spi)</td></tr>
<tr class="memdesc:ga8b6528bc0f7800dff5dcf54e238e73a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trigger RX PDMA transfer.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8b6528bc0f7800dff5dcf54e238e73a0">More...</a><br /></td></tr>
<tr class="separator:ga8b6528bc0f7800dff5dcf54e238e73a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga82e6b47e118d5bf3333e49a77ea5bd11"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga82e6b47e118d5bf3333e49a77ea5bd11">SPI_TRIGGER_TX_PDMA</a>(spi)</td></tr>
<tr class="memdesc:ga82e6b47e118d5bf3333e49a77ea5bd11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trigger TX PDMA transfer.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga82e6b47e118d5bf3333e49a77ea5bd11">More...</a><br /></td></tr>
<tr class="separator:ga82e6b47e118d5bf3333e49a77ea5bd11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7ab536ad8ae455cc2dd56aeac52c613"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ab536ad8ae455cc2dd56aeac52c613">SPI_ENABLE_2BIT_MODE</a>(spi)</td></tr>
<tr class="memdesc:gae7ab536ad8ae455cc2dd56aeac52c613"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable 2-bit transfer mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae7ab536ad8ae455cc2dd56aeac52c613">More...</a><br /></td></tr>
<tr class="separator:gae7ab536ad8ae455cc2dd56aeac52c613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga312aec82fa602a0ac22d24b55b281333"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga312aec82fa602a0ac22d24b55b281333">SPI_DISABLE_2BIT_MODE</a>(spi)</td></tr>
<tr class="memdesc:ga312aec82fa602a0ac22d24b55b281333"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable 2-bit transfer mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga312aec82fa602a0ac22d24b55b281333">More...</a><br /></td></tr>
<tr class="separator:ga312aec82fa602a0ac22d24b55b281333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa427c018cf4653aed80691d5b180deb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa427c018cf4653aed80691d5b180deb">SPI_GET_STATUS</a>(spi)</td></tr>
<tr class="memdesc:gafa427c018cf4653aed80691d5b180deb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the status register value.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa427c018cf4653aed80691d5b180deb">More...</a><br /></td></tr>
<tr class="separator:gafa427c018cf4653aed80691d5b180deb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1cace1d20930ddff812b308310ec7353"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Width)</td></tr>
<tr class="memdesc:ga1cace1d20930ddff812b308310ec7353"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the data width of a SPI transaction.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">More...</a><br /></td></tr>
<tr class="separator:ga1cace1d20930ddff812b308310ec7353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad923655d26fb14da88c61d4ed0125c44"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gad923655d26fb14da88c61d4ed0125c44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB first and the automatic slave select function is disabled. In Slave mode, the u32BusClock must be NULL and the SPI clock divider setting will be 0.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">More...</a><br /></td></tr>
<tr class="separator:gad923655d26fb14da88c61d4ed0125c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset SPI module and disable SPI peripheral clock.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">More...</a><br /></td></tr>
<tr class="separator:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae59c481764af06e5512f4416a91c5da2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae59c481764af06e5512f4416a91c5da2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Rx FIFO buffer.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">More...</a><br /></td></tr>
<tr class="separator:gae59c481764af06e5512f4416a91c5da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1c25325aceb6a6ed417055225aff01b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gad1c25325aceb6a6ed417055225aff01b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Tx FIFO buffer.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">More...</a><br /></td></tr>
<tr class="separator:gad1c25325aceb6a6ed417055225aff01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the automatic slave select function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">More...</a><br /></td></tr>
<tr class="separator:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55b31f9a751c6e784ad0022bc9155153"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</td></tr>
<tr class="memdesc:ga55b31f9a751c6e784ad0022bc9155153"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the automatic slave select function. Only available in Master mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">More...</a><br /></td></tr>
<tr class="separator:ga55b31f9a751c6e784ad0022bc9155153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI bus clock. Only available in Master mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">More...</a><br /></td></tr>
<tr class="separator:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58733a1f2730db4943ee270c5aad39ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</td></tr>
<tr class="memdesc:ga58733a1f2730db4943ee270c5aad39ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">More...</a><br /></td></tr>
<tr class="separator:ga58733a1f2730db4943ee270c5aad39ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38d6219787921363efa7dcd46fdb6846"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga38d6219787921363efa7dcd46fdb6846"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">More...</a><br /></td></tr>
<tr class="separator:ga38d6219787921363efa7dcd46fdb6846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3a43e332cf4de4b416980eeab502d07"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae3a43e332cf4de4b416980eeab502d07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual frequency of SPI bus clock. Only available in Master mode.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">More...</a><br /></td></tr>
<tr class="separator:gae3a43e332cf4de4b416980eeab502d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO related interrupts specified by u32Mask parameter.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">More...</a><br /></td></tr>
<tr class="separator:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO related interrupts specified by u32Mask parameter.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">More...</a><br /></td></tr>
<tr class="separator:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f6203152d82e50dc0a0f8257bf862cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">SPI_EnableWakeup</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga9f6203152d82e50dc0a0f8257bf862cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable wake-up function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">More...</a><br /></td></tr>
<tr class="separator:ga9f6203152d82e50dc0a0f8257bf862cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf84c991f91bd473bf678093435ff51a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">SPI_DisableWakeup</a> (<a class="el" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gaf84c991f91bd473bf678093435ff51a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable wake-up function.  <a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">More...</a><br /></td></tr>
<tr class="separator:gaf84c991f91bd473bf678093435ff51a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series SPI driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>12 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/04/17 2:12p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../da/d87/spi_8h_source.html">spi.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
